bossac.exe: extra arguments found

After installing the new Arduino SAM Boards Version 1.6.8 today, I am not able to program the DUE.

Error:
C:\Users\xxx\AppData\Local\Arduino15\packages\arduino\tools\bossac\1.6.1-arduino/bossac.exe -i -d --port=COM3 -U false -e -w true -b C:\Users\xxx\AppData\Local\Temp\build9e6a761cfa8ee8f109724a87a40faf42.tmp/motor.ino.bin -R
bossac.exe: extra arguments found
Try ‘bossac.exe -h’ or ‘bossac.exe --help’ for more information

This is because the argument true behind -w is wrong. The following line works:

bossac.exe -i -d --port=COM3 -U false -e -w -b C:\Users\xxx\AppData\Local\Temp\build9e6a761cfa8ee8f109724a87a40faf42.tmp/motor.ino.bin -R

I think this must be fixed in the package.

I get the same error :frowning:

Pressing "Reset" on my Due doesn't do anything.

Everything worked until 3PM today, it is now 9PM.

Bit of a newbie, so where do we go from here?

I have one non-functional Due :frowning:

There was an update, earlier, to "avr" and "sam"????

You can install the old version. Go to menue Tools->Board->Boardmanagement??? (the top most item).
In German: Werkzeuge->Board->Boardverwalter

Click on Arduino SAM board and select version 1.6.7
Install this and in my case allworks like before the update

SAM Core 1.6.8 Not compatible with IDE 1.6.8!!

ghlawrence2000:
Hey all,

To avoid anybody else having the problems CactusCody98 and I just experienced in THIS thread, the update to V1.6.8 of the SAM core is not compatible with IDE V1.6.8!

The Nightly build of the IDE V1.6.9 Hourly Build 2016/05/06 05.33 works fine with SAM Core 1.6.8, but if you are using IDE V1.6.8, you need SAM Core V1.6.7!!

Regards,

Graham

I updated to 1.6.9 and all is good again.... :smiley:

The update to 1.6.9 solved the problem. Thanks.

It seems this problem is beginning again in SAM-boards1.6.9 and Arduino 1.6.13.

The problem disappeared after downgrading SAM-boards to 1.6.7.